
<%= form_for type, :url=>{action: :create}, :method=>:POST do |f| %>
 <fieldset id='security_<%=security.type%>>'>
  <legend><%= security.describe_type %> Parameters</legend>
  <%= f.hidden_field :id %>

  <h4>Base Parameters</h4>
  <%= f.select :type, SecurityFund.types_for_form %><br/>
  <%= f.text_field :currency %><%= label type, 'Currency. Leave blank if denominated in default currency (%s)' % Smr::DEFAULT_CURRENCY %><br/>
  <%= f.text_field :tranche %><%= label type, 'Tranche Identifier.' %><br/>
  <%= f.date_field :time_inception%><%= label type, 'Date of Inception' %><br/>
  <%= f.date_field :time_fiscalyearend%><%= label type, 'End of fiscal year.' %><br/>
  <%= f.number_field :investment_minimum, :min=>0 %><%= label type, 'Minimum amount to invest, in fund currency.' %><br/>
  <%= f.check_box :is_synthetic %><%= f.label :is_synthetic, 'Synthetically tracks the Index or Benchmark' %><br/>

  <h4>Distribution</h4>
  <%= f.number_field :distribution, :step=>0.0001, :min=>0, :value=>number_with_precision(f.object.distribution, :precision=>4) %><%= label type, 'Distribution declared, per share.' %><br/>
  <%= f.date_field :time_distribution%><%= label type, 'Payment date for gain distributions.' %><br/>
  <%= f.number_field :distribution_interval, :min=>1 %><%= label type, 'Interval between distribution payments, in months.' %><br/>
  <%= f.check_box :is_retaining_profits %><%= f.label :is_retaining_profits, 'Retains the Profits' %>

  <h4>Fees</h4>
  <%= f.number_field :issue_surcharge, :min=>0, :step=>0.01 %><%= label type, 'Issue Surcharge, as percentage.' %><br/>
  <%= f.number_field :management_fee, :min=>0, :step=>0.01 %><%= label type, 'Annual Management Fee, as percentage.' %><br/>
  <%= f.number_field :redemption_fee, :min=>0, :step=>0.01 %><%= label type, 'Redemption Fee, as percentage.' %><br/>
  <%= f.number_field :redemption_period, :min=>0, :step=>0.01 %><%= label type, 'Redemption processing Period, in days.' %><br/>

  </br>
  <%= f.text_area :comment, :cols=>45, :rows=>15, :placeholder=>'Additional Remarks?' %>
  </br>
  <%= f.submit 'Save Parameters' %>
 </fieldset>
<% end %>
